Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionSplit/FrmConstructionSplit.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionSplit/FrmConstructionSplit.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionSplit/FrmConstructionSplit.cs	(revision 51)
@@ -0,0 +1,261 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+
+namespace ProcessManagement.Forms.DataEntry
+{
+    public partial class FrmConstructionSplit : Form
+    {
+        #region ログ使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+
+        /// <summary>
+        /// 表示カラム
+        /// </summary>
+        private enum MasterGridColumn
+        {
+            DisplayNo = 0,
+            ConstructionCode,
+            ConstructionName,
+            DispStatus,
+            OrdererName,
+            OrderersDivision,
+            OrderersCode,
+            Status,
+        }
+
+        /// <summary>
+        /// 表示カラム
+        /// </summary>
+        private enum DetailGridColumn
+        {
+            DisplayNo = 0,
+            CompomentName,
+            ItemName,
+            PriceValue,
+            SplitCheck,
+            CompomentCode,
+        }
+
+        #endregion
+
+        #region 変数
+        /// <summary>
+        /// 初期時フラグ
+        /// </summary>
+        private bool m_bInitFlag = true;
+
+        /// <summary>
+        /// 新規工事番号
+        /// </summary>
+        private int m_ConstructionCode = 0;
+
+        /// <summary>
+        /// 選択工事コード
+        /// </summary>
+        private int m_SelectionCode = 0;
+
+        #endregion
+
+        #region プロパティ
+
+        /// <summary>
+        /// 新規工事番号
+        /// </summary>
+        public int ConstructionCode
+        {
+            get { return m_ConstructionCode; }
+            set { m_ConstructionCode = value; }
+        }
+
+        /// <summary>
+        /// 選択工事
+        /// </summary>
+        public int SelectionCode
+        {
+            get { return m_SelectionCode; }
+            set { m_SelectionCode = value; }
+        }
+
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// フォーム初期化
+        /// </summary>
+        public FrmConstructionSplit()
+        {
+            InitializeComponent();
+        }
+        #endregion
+
+        #region フォームロード
+        /// <summary>
+        /// フォームロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmConstructionSplit_Load(object sender, EventArgs e)
+        {
+            // コンボボックスセット
+            SetnumUD();
+            SetcmbDepartment();
+            SetcmbPersons();
+
+            // コンボボックス初期化
+            InitCombBox();
+
+            InitDataLoad();
+
+            m_bInitFlag = false;
+        }
+        #endregion
+
+        #region フォーム終了時
+        /// <summary>
+        /// フォーム終了時
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmConstructionSplit_FormClosing(object sender, FormClosingEventArgs e)
+        {
+            // 前プロセスに戻る
+            ClsExcute.BackProcess();
+        }
+        #endregion
+
+        #region 終了ボタン押下
+        /// <summary>
+        /// 終了ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnCancel_Click(object sender, EventArgs e)
+        {
+            this.Close();
+        }
+        #endregion
+
+        #region 実行ボタン押下
+        /// <summary>
+        /// 実行ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnEntry_Click(object sender, EventArgs e)
+        {
+            // 実行確認
+            if (MessageBox.Show("選択された工事を分割します。",
+                                "実行確認",
+                                MessageBoxButtons.OKCancel,
+                                MessageBoxIcon.Question) == DialogResult.Cancel) return;
+
+            // データチェック
+            if (!DataCheck()) return;
+
+            // 結合処理
+            if (!SplitData()) return;
+
+            CommonMotions.EntryEndMessage("分割処理データ");
+
+            this.Close();
+        }
+        #endregion
+
+        #region 工事グリッドダブルクリック
+        /// <summary>
+        /// 工事グリッドダブルクリック
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvMaster_CellDoubleClick(object sender, DataGridViewCellEventArgs e)
+        {
+            // 新規分割工事作成
+            NewOrdererCreate();
+
+            // 選択一覧フォーカスセット
+            dgvSource.Select();
+        }
+        #endregion
+
+        #region 営業期コンボボックス変更
+        /// <summary>
+        /// 営業期変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void numUDConstPro_ValueChanged(object sender, EventArgs e)
+        {
+            if (m_bInitFlag) return;
+            // データ表示
+            InitDataLoad();
+        }
+        #endregion
+
+        #region 部署コンボボックス変更
+        /// <summary>
+        /// 部署コンボボックス変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void cmbDepartment_TextChanged(object sender, EventArgs e)
+        {
+            if (m_bInitFlag) return;
+
+            // 担当者コンボボックス変更
+            SetcmbPersons();
+
+            // データ表示
+            InitDataLoad();
+        }
+        #endregion
+
+        #region 担当者コンボボックス変更
+        /// <summary>
+        /// 担当者変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void cmbConstructionPerson_TextChanged(object sender, EventArgs e)
+        {
+            if (m_bInitFlag) return;
+
+            // 担当者選択時部署選択を設定する
+            SetPerosonToDepartment();
+
+            // データ表示
+            InitDataLoad();
+        }
+        #endregion
+
+        #region 営業・工事担当者切り替え
+        /// <summary>
+        /// 営業・工事担当者切り替え
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void radioButton_CheckedChanged(object sender, EventArgs e)
+        {
+            if (m_bInitFlag) return;
+
+            // データ表示
+            InitDataLoad();
+        }
+        #endregion
+    }
+}
